import string
import json


# get_relation returns the geojson data for a selected body of water
def get_relation(self, body_of_water: string):
    # Read geojson file
    with open("server/map/" + body_of_water.lower() + ".geojson") as f:
        data = json.load(f)

    # Extracting coordinates from the GeoJSON features
    coordinates = []
    for feature in data['features']:
        if feature['geometry']['type'] == 'Polygon':
            coordinates.extend(feature['geometry']['coordinates'][0])
        elif feature['geometry']['type'] == 'MultiPolygon':
            for polygon_coords in feature['geometry']['coordinates']:
                coordinates.extend(polygon_coords[0])

    # Convert response data to JSON string
    response_json = json.dumps(coordinates)

    # Set headers
    self.send_response(200)
    self.send_header("Content-type", "application/json")
    self.end_headers()

    # Write coordinates to response object
    self.wfile.write(response_json.encode('utf-8'))
